> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# get status of an integration import process



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/imports/{integrationImportId}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/imports/{integrationImportId}:
    get:
      tags:
        - 'Imports:'
      summary: get status of an integration import process
      operationId: IntegrationImportsController_getImportProcess_v1
      parameters:
        - name: integrationImportId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: get status of an integration import process
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIntegrationImportStatusDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    GetIntegrationImportStatusDTO:
      type: object
      properties:
        processedAt:
          format: date-time
          type: string
          nullable: true
        integrationImportId:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
            - IGNORED
            - PROCESSING
        type:
          type: string
          enum:
            - PRODUCT
        message:
          type: string
      required:
        - processedAt
        - integrationImportId
        - status
        - type
        - message
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````